SPI_fname()

NAME
SPI_fname - determine the column name for the specified column number

SYNOPSIS

char * SPI_fname(TupleDesc rowdesc, int colnumber)

DESCRIPTION

SPI_fname returns a copy of the column name of the specified column. (You can use pfree to release the copy of the name when you don't need it anymore.)

ARGUMENTS

TupleDesc rowdesc
    input row description

int colnumber
    column number (count starts at 1)

RETURN VALUE

The column name; NULL if colnumber is out of range. SPI_result set to SPI_ERROR_NOATTRIBUTE on error.